package cn.estsh.i3plus.pojo.platform.bean;

import cn.estsh.i3plus.pojo.model.base.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.text.DecimalFormat;

/**
 * @Description : 企业信息
 * @Reference   :
 * @Author      : wei.peng
 * @Date        : 2018-10-22 14:50:44.107
 * @Modify      :
 **/
@Data
@Entity
@Table(name="ENTERPRISE")
@DynamicInsert
@DynamicUpdate
@Api(value="企业信息",description = "企业信息")
public class Enterprise extends BaseBean {

 
    @Column(name="NAME")
    @ApiParam(name ="名称")
    private String name;
 
    @Column(name="ENTERPRISE_STATUS")
    @ApiParam(name ="企业状态(1.正常，2.到期，3.试用)" , example ="1")
    private Integer enterpriseStatus;
 
    @Column(name="ENTERPRISE_EQUIPMENT_ID")
    @ApiParam(name ="服务器设备ID")
    private String enterpriseEquipmentId;
 
    @Column(name="ENTERPRISE_START_DATE_TIME")
    @ApiParam(name ="企业开始使用时间")
    private String enterpriseStartDateTime;
 
    @Column(name="ENTERPRISE_END_DATE_TIME")
    @ApiParam(name ="企业结束使用时间")
    private String enterpriseEndDateTime;
 
    @Column(name="ENTERPRISE_NUM_REG_USER")
    @ApiParam(name ="用户注册数" , example ="0")
    private Integer enterpriseNumRegUser;
 
    @Column(name="ENTERPRISE_NUM_SYN_USER")
    @ApiParam(name ="用户同时在线" , example ="0")
    private Integer enterpriseNumSynUser;
 
    @Column(name="ENTERPRISE_NUM_FACTORY")
    @ApiParam(name ="工厂数量" , example ="0")
    private Integer enterpriseNumFactory;
 
    @Column(name="ENTERPRISE_NUM_WAREHOUSE")
    @ApiParam(name ="仓库数量" , example ="0")
    private Integer enterpriseNumWarehouse;
 
    @Column(name="ENTERPRISE_CONTACT_NAME")
    @ApiParam(name ="企业联系人")
    private String enterpriseContactName;
 
    @Column(name="ENTERPRISE_CONTACT_EMAIL")
    @ApiParam(name ="企业邮箱")
    private String enterpriseContactEmail;
 
    @Column(name="ENTERPRISE_CONTACT_PHONE")
    @ApiParam(name ="企业联系电话")
    private String enterpriseContactPhone;
 
    @Column(name="ENTERPRISE_ADDR")
    @ApiParam(name ="企业公司地址")
    private String enterpriseAddr;

}
