package cn.estsh.i3plus.pojo.platform.bean;

import cn.estsh.i3plus.pojo.model.base.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.text.DecimalFormat;

/**
 * @Description : 系统日志表
 * @Reference   :
 * @Author      : wei.peng
 * @Date        : 2018-10-22 14:50:44.260
 * @Modify      :
 **/
@Data
@Entity
@Table(name="LOG_SYSTEM")
@DynamicInsert
@DynamicUpdate
@Api(value="系统日志表",description = "系统日志表")
public class LogSystem extends BaseBean {

 
    @Column(name="LOG_MOULE_NAME")
    @ApiParam(name ="服务名称")
    private String logMouleName;
 
    @Column(name="LOG_IP")
    @ApiParam(name ="服务器IP")
    private String logIp;
 
    @Column(name="LOG_CLASS")
    @ApiParam(name ="触发路径")
    private String logClass;
 
    @Column(name="LOG_METHOD")
    @ApiParam(name ="触发方法")
    private String logMethod;
 
    @Column(name="LOG_LEVEL")
    @ApiParam(name ="日志级别（1.DEBUG，2.INFO，3.ERROR）" , example ="1")
    private Integer logLevel;
 
    @Column(name="LOG_MESSAGE")
    @ApiParam(name ="日志信息")
    private String logMessage;
 
    @Column(name="LOG_USER_NAME")
    @ApiParam(name ="操作人名称")
    private String logUserName;

}
