package cn.estsh.i3plus.pojo.platform.bean;

import cn.estsh.i3plus.pojo.model.base.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.text.DecimalFormat;

/**
 * @Description : 用户登录记录
 * @Reference   :
 * @Author      : wei.peng
 * @Date        : 2018-10-22 14:50:44.309
 * @Modify      :
 **/
@Data
@Entity
@Table(name="LOG_USER_LOGIN")
@DynamicInsert
@DynamicUpdate
@Api(value="用户登录记录",description = "用户登录记录")
public class LogUserLogin extends BaseBean {

 
    @Column(name="USER_ID")
    @ApiParam(name ="用户ID")
    private String userId;
 
    @Column(name="LOG_LOGIN_NAME")
    @ApiParam(name ="登录名称")
    private String logLoginName;
 
    @Column(name="LOG_LOGIN_STATUS")
    @ApiParam(name ="登录状态（1.成功，2.失败，3锁定）" , example ="1")
    private Integer logLoginStatus;
 
    @Column(name="LOG_LOGIN_PLATFORM_ID")
    @ApiParam(name ="登录平台ID" , example ="1")
    private Integer logLoginPlatformId;
 
    @Column(name="LOG_LOGIN_PLATFORM_NAME")
    @ApiParam(name ="登录平台名称")
    private String logLoginPlatformName;
 
    @Column(name="LOG_LOGIN_HOST")
    @ApiParam(name ="登录IP")
    private String logLoginHost;
 
    @Column(name="LOG_LOGIN_DATE_TIME")
    @ApiParam(name ="登录时间")
    private String logLoginDateTime;

}
