package cn.estsh.i3plus.pojo.platform.bean;

import cn.estsh.i3plus.pojo.model.base.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.text.DecimalFormat;

/**
 * @Description : 岗位
 * @Reference   :
 * @Author      : wei.peng
 * @Date        : 2018-10-22 14:50:44.422
 * @Modify      :
 **/
@Data
@Entity
@Table(name="POSITION")
@DynamicInsert
@DynamicUpdate
@Api(value="岗位",description = "岗位")
public class Position extends BaseBean {

 
    @Column(name="NAME")
    @ApiParam(name ="名称")
    private String name;
 
    @Column(name="POSITION_CODE")
    @ApiParam(name ="岗位代码")
    private String positionCode;
 
    @Column(name="PARENT_ID")
    @ApiParam(name ="上级岗位")
    private String parentId;
 
    @Column(name="RED_PARENT_NAME")
    @ApiParam(name ="上级岗位名称")
    private String redParentName;
 
    @Column(name="POSITION_STATUS")
    @ApiParam(name ="状态（1.正常，2.禁用）" , example ="1")
    private Integer positionStatus;
 
    @Column(name="POSITION_DESCRIPTION")
    @ApiParam(name ="描述")
    private String positionDescription;

}
