package cn.estsh.i3plus.pojo.platform.bean;

import cn.estsh.i3plus.pojo.model.base.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.text.DecimalFormat;

/**
 * @Description : 文件
 * @Reference   :
 * @Author      : wei.peng
 * @Date        : 2018-10-22 14:50:44.996
 * @Modify      :
 **/
@Data
@Entity
@Table(name="SYS_FILE")
@DynamicInsert
@DynamicUpdate
@Api(value="文件",description = "文件")
public class SysFile extends BaseBean {

 
    @Column(name="NAME")
    @ApiParam(name ="名称")
    private String name;
 
    @Column(name="USER_ID")
    @ApiParam(name ="用户ID")
    private String userId;
 
    @Column(name="FILE_PATH")
    @ApiParam(name ="文件路径")
    private String filePath;
 
    @Column(name="FILE_ORIGINAL_NAME")
    @ApiParam(name ="原始文件名称")
    private String fileOriginalName;
 
    @Column(name="FILE_TYPE_ID")
    @ApiParam(name ="文件类型ID(字典)")
    private String fileTypeId;
 
    @Column(name="FILE_TYPE_NAME")
    @ApiParam(name ="文件类型名称")
    private String fileTypeName;
 
    @Column(name="FILE_SIZE")
    @ApiParam(name ="文件大小(KB)")
    private Integer fileSize;
 
    @Column(name="DOWNLOADS")
    @ApiParam(name ="下载次数" , example ="0")
    private Integer downloads;

}
