package cn.estsh.i3plus.pojo.platform.bean;

import cn.estsh.i3plus.pojo.model.base.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.text.DecimalFormat;

/**
 * @Description : 系统消息
 * @Reference   :
 * @Author      : wei.peng
 * @Date        : 2018-10-22 14:50:45.125
 * @Modify      :
 **/
@Data
@Entity
@Table(name="SYS_MESSAGE")
@DynamicInsert
@DynamicUpdate
@Api(value="系统消息",description = "系统消息")
public class SysMessage extends BaseBean {

 
    @Column(name="MESSAGE_TITLE")
    @ApiParam(name ="消息标题")
    private String messageTitle;
 
    @Column(name="MESSAGE_TYPE_ID")
    @ApiParam(name ="消息类型(1.通知，2.站内信)" , example ="1")
    private Integer messageTypeId;
 
    @Column(name="RED_MESSAGE_TYPE_NAME")
    @ApiParam(name ="消息类型名称")
    private String redMessageTypeName;
 
    @Column(name="MESSAGE_SEND_ID")
    @ApiParam(name ="发送者")
    private String messageSendId;
 
    @Column(name="MESSAGE_ACCEPT_ID")
    @ApiParam(name ="接受者")
    private String messageAcceptId;
 
    @Column(name="MESSAGE_CONTENT")
    @ApiParam(name ="消息内容")
    private String messageContent;
 
    @Column(name="MESSAGE_STATUS")
    @ApiParam(name ="消息状态（1.启用，2.禁用）" , example ="1")
    private Integer messageStatus;

}
