package cn.estsh.i3plus.pojo.platform.bean;

import cn.estsh.i3plus.pojo.model.base.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.text.DecimalFormat;

/**
 * @Description : 硬件设备表
 * @Reference   :
 * @Author      : wei.peng
 * @Date        : 2018-10-22 14:50:45.483
 * @Modify      :
 **/
@Data
@Entity
@Table(name="TOOL")
@DynamicInsert
@DynamicUpdate
@Api(value="硬件设备表",description = "硬件设备表")
public class Tool extends BaseBean {

 
    @Column(name="NAME")
    @ApiParam(name ="名称")
    private String name;
 
    @Column(name="TOOL_TYPE_ID")
    @ApiParam(name ="类型ID")
    private String toolTypeId;
 
    @Column(name="RED_TOOL_TYPE_NAME")
    @ApiParam(name ="类型名称")
    private String redToolTypeName;
 
    @Column(name="TOOL_STATUS")
    @ApiParam(name ="设备状态（1.正常，2.禁用）" , example ="1")
    private Integer toolStatus;
 
    @Column(name="TOOL_HOST")
    @ApiParam(name ="IP地址")
    private String toolHost;
 
    @Column(name="TOOL_PORT")
    @ApiParam(name ="端口" , example ="80")
    private Integer toolPort;
 
    @Column(name="TOOL_CONN_TYPE")
    @ApiParam(name ="连接方式（1.网口，2.串口，3.USB......）" , example ="1")
    private Integer toolConnType;
 
    @Column(name="TOOL_DATA_TYPE")
    @ApiParam(name ="传输数据类型（1.字符串，2.二进制数据流....）" , example ="1")
    private Integer toolDataType;
 
    @Column(name="TOOL_OPERATING")
    @ApiParam(name ="操作内容")
    private String toolOperating;
 
    @Column(name="TOOL_DESCRIPTION")
    @ApiParam(name ="描述")
    private String toolDescription;

}
